#include "GL/glut.h"
#include "displayglut.h"
#include "object.h"


class MyScene : public Object{
  public:
     void renderGL() const{
        glPushMatrix();

        glColor3f(0.8, 0.8, 0.8);
        glBegin(GL_POLYGON);
        glVertex3f(-10, -10, 0);
        glVertex3f(10, -10, 0);
        glVertex3f(10, 10, 0);
        glVertex3f(-10, 10, 0);
        glEnd();

        glColor3f(1, 0, 0.4);
        glutSolidSphere(2, 20, 20);
        glTranslatef(3, 3, 0);
        glColor3f(0, 0.8, 0.5);
        glutSolidCone(2, 8, 20, 10);
        glColor3f(0.3, 0.4, 0.7);
        glutSolidCone(3, 5, 20, 10);

        glPopMatrix();
     }
};

int main(int argc, char** argv){
   MyScene myscene;
   addObject(&myscene);
   createGlut(&argc, argv);
   glutMainLoop();
}

